# $Revision: 1.12 $, $Date: 2004/05/07 01:09:20 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	GD
%define		pnam	Graph-boxplot
Summary:	GD::Graph::boxplot Perl module - create box-and-whisker plots
Summary(pl):	Modu Perla GD::Graph::boxplot - tworzenie wykresw pudekowe
Name:		perl-GD-Graph-boxplot
Version:	1.00
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}%{pnam}-%{version}.tar.gz
# Source0-md5:	45193804ffc099eedff7e893bb037018
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-GD >= 1.18
BuildRequires:	perl-GD-Graph >= 1.30
BuildRequires:	perl-Statistics-Descriptive >= 2.4
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GD::Graph::boxplot is a package to generate PNG box and whisker plots,
using GD and GD::Graph modules.

%description -l pl
GD::Graph::boxplot to pakiet do tworzenia obrazkw PNG z wykresami
pudekowymi przy uyciu moduw GD i GD::Graph.

%prep
%setup -q -n %{pdir}%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc boxplot.html
%{perl_vendorlib}/GD/Graph/boxplot.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-GD-Graph-boxplot.spec,v $
Revision 1.12  2004/05/07 01:09:20  ankry
- rel. 3

Revision 1.11  2004/05/06 18:09:37  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/21 08:40:38  ankry
- license fixes/unification

Revision 1.9  2004/04/14 16:45:10  ankry
- cosmetics

Revision 1.8  2003/08/18 08:08:47  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 19:36:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:39:24  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:32:35  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/20 23:11:03  qboosh
- new

